<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateFestiveTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('festive', function(Blueprint $table)
		{
			$table->increments('id');
			$table->string('name');
            $table->date('date');
            $table->integer('port_id')->unsigned()->index();
            $table->foreign('port_id')->references('id')->on('port')->onDelete('cascade'); 
            $table->softDeletes();
            $table->timestamps();
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
         Schema::drop('festive');
    }
}
